Bug 1606762 - xwax: FTBFS in Fedora rawhide
Summary: xwax: FTBFS in Fedora rawhide
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xwax (Show other bugs)
(Show other bugs)
Version: 29
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Filipe Rosset
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-20 21:31 UTC by Mohan Boddu
Modified: 2018-10-05 17:08 UTC (History)
3 users (show)

Fixed In Version: xwax-1.7-4.fc27 xwax-1.7-4.fc29 xwax-1.7-4.fc28
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-10-05 15:58:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (6.22 KB, text/plain)
2018-07-20 21:31 UTC, Mohan Boddu
no flags Details
root.log (32.00 KB, text/plain)
2018-07-20 21:31 UTC, Mohan Boddu
no flags Details
state.log (599 bytes, text/plain)
2018-07-20 21:31 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-20 21:31:39 UTC
xwax failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28240844


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix xwax at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
xwax will be orphaned. Before branching of Fedora 30,
xwax will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 21:31:44 UTC
Created attachment 1469167 [details]
build.log

Comment 2 Mohan Boddu 2018-07-20 21:31:50 UTC
Created attachment 1469168 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 21:31:53 UTC
Created attachment 1469169 [details]
state.log

Comment 4 Igor Gnatenko 2018-07-23 11:13:43 UTC
Matches:
make: cc: Command not found

Suggested fix:
BuildRequires:  gcc

Comment 5 Jan Kurik 2018-08-14 08:46:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 6 Fedora Update System 2018-09-23 23:09:54 UTC
xwax-1.7-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-dce05dc496

Comment 7 Fedora Update System 2018-09-23 23:10:03 UTC
xwax-1.7-4.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a8e0ff2ec4

Comment 8 Fedora Update System 2018-09-23 23:10:11 UTC
xwax-1.7-4.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-530a9437ab

Comment 9 Fedora Update System 2018-09-27 02:08:13 UTC
xwax-1.7-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a8e0ff2ec4

Comment 10 Fedora Update System 2018-09-27 03:37:36 UTC
xwax-1.7-4.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-530a9437ab

Comment 11 Fedora Update System 2018-09-27 04:46:22 UTC
xwax-1.7-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-dce05dc496

Comment 12 Fedora Update System 2018-10-05 15:58:11 UTC
xwax-1.7-4.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-10-05 16:02:05 UTC
xwax-1.7-4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-10-05 17:08:51 UTC
xwax-1.7-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.